%global momorel 4
%global emacsver 23.2
%global e_sitedir %{_datadir}/emacs/site-lisp

Name: elisp-muse
Version: 3.20
Release: %{momorel}m%{?dist}
Summary: Emacs Muse is an authoring and publishing environment for Emacs
Group: Applications/Editors
License: GPLv3
Source0: http://download.gna.org/muse-el/muse-%{version}.tar.gz
URL: http://www.mwolson.org/projects/MuseMode.html
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: emacs >= %{emacsver}
BuildRequires: texinfo
Requires: emacs >= %{emacsver}
Requires: tetex-latex
Requires(post): info
Requires(preun): info
Obsoletes: muse-emacs
Obsoletes: muse-xemacs

%description 
Emacs Muse is an authoring and publishing environment for Emacs. It
simplifies the process of writings documents and publishing them to
various output formats. Muse uses a very simple Wiki-like format as
input.

Muse consists of two main parts: an enhanced text-mode for authoring
documents and navigating within Muse projects, and a set of publishing
styles for generating different kinds of output.

%prep
%setup -q -n muse-%{version}

%build 
make all experimental EMACS=emacs SITEFLAG=-no-site-file

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_infodir}
make install \
    PREFIX=%{buildroot}%{_usr} \
    INFODIR=%{buildroot}%{_infodir} \
    INSTALLINFO="/sbin/install-info --infodir=%{buildroot}%{_infodir}"
(cd experimental; make install PREFIX=%{buildroot}%{_usr})

rm -f %{buildroot}%{_infodir}/dir

rm -f contrib/Makefile

%clean
rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/muse %{_infodir}/dir 2>/dev/null || :

%preun
if [ "$1" -eq "0" ]; then
    /sbin/install-info --delete %{_infodir}/muse %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%doc ChangeLog ChangeLog.1 ChangeLog.2 ChangeLog.3 ChangeLog.4 ChangeLog.5
%doc contrib examples etc scripts
%{e_sitedir}/muse
%{_infodir}/muse*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (3.20-4m)
- full rebuild for mo7 release

* Sun Jun 13 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.20-3m)
- rebuild against emacs-23.2

* Tue Mar 16 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.20-2m)
- merge muse-emacs to elisp-muse
- kill muse-xemacs

* Mon Feb  1 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.20-1m)
- update to 3.20

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-14m)
- rebuild against gcc-4.4 and glibc-2.11

* Thu Jul 30 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.12-13m)
- rebuild against emacs 23.1

* Tue Jul 28 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.12-12m)
- rebuild against emacs 23.0.96

* Sun Jun 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-11m)
- rebuild against emacs-23.0.95

* Mon May 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-10m)
- rebuild against emacs-23.0.94

* Fri May 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-9m)
- rebuild against xemacs-21.5.29

* Sun May 03 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-8m)
- rebuild against emacs-23.0.93

* Thu Apr 02 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-7m)
- rebuild against emacs-23.0.92

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-6m)
- rebuild against rpm-4.6

* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-5m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-4m)
- rebuild against xemacs-21.5.28

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-3m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.12-2m)
- rebuild against gcc43

* Tue Feb 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.12-1m)
- update to 3.12

* Sat Aug 25 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.11-1m)
- update to 3.11
- switch license to GPLv3

* Mon Jul  9 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.03-1m)
- update to 3.03

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.02.93-3m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.02.93-2m)
- rebuild against emacs-22.1

* Sat Apr 14 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.02.93-1m)
- initial packaging
